WPSRowFormat Struct Reference documentation

WPSRowFormat Struct Reference

`#include <WPSTable.h>`

## Public Member Functions
| WPSRowFormat (float height=-1)
| constructor
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList
int | compare (WPSRowFormat const &row) const
| a comparison function
bool | operator== (WPSRowFormat const &row) const
| operator==
bool | operator!= (WPSRowFormat const &row) const
| operator!=
bool | operator< (WPSRowFormat const &row) const
| operator<

## Public Attributes
float | m_height
| the row height, if known
bool | m_isMinimalHeight
| a flag to know if the height is only a minimum
bool | m_useOptimalHeight
| a flag to know if we need to see use-optimal row height
bool | m_isHeader
| a flag to know if the row is a header row

## Friends
std::ostream & | operator<< (std::ostream &o, WPSRowFormat const &row)
| operator<<

## Constructor & Destructor Documentation

## ◆ WPSRowFormat()

WPSRowFormat::WPSRowFormat | ( | float | height = -1 | ) |
| inlineexplicit

constructor

Referenced by compare(), operator!=(), operator<(), operator<<, and operator==().

## Member Function Documentation

## ◆ addTo()

void WPSRowFormat::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

Referenced by WKSContentListener::openSheetRow().

## ◆ compare()

int WPSRowFormat::compare | ( | WPSRowFormat const & | row | ) | const
| inline

a comparison function

Referenced by operator!=(), operator<(), and operator==().

## ◆ operator!=()

bool WPSRowFormat::operator!= | ( | WPSRowFormat const & | row | ) | const
| inline

operator!=

## ◆ operator<()

bool WPSRowFormat::operator< | ( | WPSRowFormat const & | row | ) | const
| inline

operator<

## ◆ operator==()

bool WPSRowFormat::operator== | ( | WPSRowFormat const & | row | ) | const
| inline

operator==

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | WPSRowFormat const & | row )
| friend

operator<<

## Member Data Documentation

## ◆ m_height

float WPSRowFormat::m_height

the row height, if known

Referenced by addTo(), compare(), operator<<, and WPSRowFormat().

## ◆ m_isHeader

bool WPSRowFormat::m_isHeader

a flag to know if the row is a header row

Referenced by addTo(), compare(), operator<<, and WPSRowFormat().

## ◆ m_isMinimalHeight

bool WPSRowFormat::m_isMinimalHeight

a flag to know if the height is only a minimum

Referenced by addTo(), compare(), LotusSpreadsheetInternal::Spreadsheet::compressRowHeights(), LotusSpreadsheetInternal::Spreadsheet::getRowHeight(), operator<<, and WPSRowFormat().

## ◆ m_useOptimalHeight

bool WPSRowFormat::m_useOptimalHeight

a flag to know if we need to see use-optimal row height

Referenced by addTo(), compare(), operator<<, LotusSpreadsheet::readCellsFormat801(), and WPSRowFormat().

The documentation for this struct was generated from the following files:

- WPSTable.h
- WPSTable.cpp